## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/funding-sources/{id}/micro-deposits

### cURL

```bash
POST https://api-sandbox.dwolla.com/funding-sources/e52006c3-7560-4ff1-99d5-b0f3a6f4f909/micro-deposits
Authorization: Bearer 8tJjM7iTjujLthkbVPMUcHLqMNw4uv5kG712g9j1RRBHplGpwo
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
```

```javascript
var fundingSourceUrl =
  "https://api-sandbox.dwolla.com/funding-sources/e52006c3-7560-4ff1-99d5-b0f3a6f4f909";

dwolla.post(`${fundingSourceUrl}/micro-deposits`);
```

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/e52006c3-7560-4ff1-99d5-b0f3a6f4f909'

app_token.post('%s/micro-deposits' % funding_source_url)
```

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$fundingSourceUrl = 'https://api-sandbox.dwolla.com/funding-sources/e52006c3-7560-4ff1-99d5-b0f3a6f4f909';

$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);

$fsApi->microDeposits(null, $fundingSourceUrl);
?>
```

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/e52006c3-7560-4ff1-99d5-b0f3a6f4f909'

app_token.post "#{funding_source_url}/micro-deposits"
```

### Responses

- **200**
- **403**
- **404**

```json
{
  "_links": {
    "self": {
      "href": "https://api-sandbox.dwolla.com/funding-sources/2e446d1b-fb3c-42a0-9691-5d1d6a4dbbf0/micro-deposits",
      "type": "application/vnd.dwolla.v1.hal+json",
      "resource-type": "micro-deposits"
    }
  }
}
```

```json
{
  "code": "InvalidResourceState",
  "message": "Bank already verified."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations

**Authorization**  
string  
header  
required

The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**  
enum<string>  
default:application/vnd.dwolla.v1.hal+json  
required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

### Path Parameters

**id**  
string  
required

The ID of the FS to initiate or verify micro-deposit

### Body

application/json  
Optional request body for verifying micro-deposits.

- If omitted: Endpoint will initiate micro-deposits
- If provided: Must contain micro-deposit amounts for verification

- InitiateMicroDeposits  
- VerifyMicroDeposits

No request body is required for initiating micro-deposits.

### Response

**200**

application/vnd.dwolla.v1.hal+json

successful operation

Response for microdeposits operations (initiation and verification)

```json
{
  "code": "InvalidResourceState",
  "message": "Bank already verified."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```
